import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-17 17:40
 */
export interface CrCouponConfigDetail{
    /**
    * 
    * @type { string }
    */
    uuid?: string;
    /**
    * 
    * @type { string }
    */
    cccId?: string;
    /**
    * 
    * @type { string }
    */
    couponCfgId?: string;
    /**
    * 优惠券名称
    * @type { string }
    */
    couponName?: string;
    /**
    * 优惠券数目
    * @type { number }
    */
    couponCount?: number;
    /**
    * 折扣
    * @type { number }
    */
    discount?: number;
    /**
    * 最高折扣金额(分)
    * @type { number }
    */
    maxDiscountAmount?: number;
    /**
    * 有效时长（单位秒）
    * @type { number }
    */
    expire?: number;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { string }
    */
    creator?: string;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    updator?: string;
}
export class CrCouponConfigDetailMI{ 
    static get UUID(): FieldInfo{  
        return new FieldInfo('uuid','');
    }
    static get CCC_ID(): FieldInfo{  
        return new FieldInfo('cccId','');
    }
    static get COUPON_CFG_ID(): FieldInfo{  
        return new FieldInfo('couponCfgId','');
    }
    static get COUPON_NAME(): FieldInfo{  
        return new FieldInfo('couponName','优惠券名称');
    }
    static get COUPON_COUNT(): FieldInfo{  
        return new FieldInfo('couponCount','优惠券数目');
    }
    static get DISCOUNT(): FieldInfo{  
        return new FieldInfo('discount','折扣');
    }
    static get MAX_DISCOUNT_AMOUNT(): FieldInfo{  
        return new FieldInfo('maxDiscountAmount','最高折扣金额(分)');
    }
    static get EXPIRE(): FieldInfo{  
        return new FieldInfo('expire','有效时长（单位秒）');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get CREATOR(): FieldInfo{  
        return new FieldInfo('creator','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get UPDATOR(): FieldInfo{  
        return new FieldInfo('updator','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-17 17:40
 */
export interface CrCouponConfig{
    /**
    * 
    * @type { string }
    */
    uuid?: string;
    /**
    * 
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { string }
    */
    creator?: string;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    updator?: string;
    /**
    * 广告id
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 成交类型
    * @type { number }
    */
    actionType?: number;
}
export class CrCouponConfigMI{ 
    static get UUID(): FieldInfo{  
        return new FieldInfo('uuid','');
    }
    static get DEL_FLAG(): FieldInfo{  
        return new FieldInfo('delFlag','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get CREATOR(): FieldInfo{  
        return new FieldInfo('creator','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get UPDATOR(): FieldInfo{  
        return new FieldInfo('updator','');
    }
    static get AD_INFO_ID(): FieldInfo{  
        return new FieldInfo('adInfoId','广告id');
    }
    static get ACTION_TYPE(): FieldInfo{  
        return new FieldInfo('actionType','成交类型');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-17 17:40
 */
export interface CrMsgLog{
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * uuid
    * @type { string }
    */
    uuid?: string;
    /**
    * 消息内容
    * @type { string }
    */
    msgContent?: string;
    /**
    * 发送方
    * @type { string }
    */
    topic?: string;
}
export class CrMsgLogMI{ 
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get UUID(): FieldInfo{  
        return new FieldInfo('uuid','uuid');
    }
    static get MSG_CONTENT(): FieldInfo{  
        return new FieldInfo('msgContent','消息内容');
    }
    static get TOPIC(): FieldInfo{  
        return new FieldInfo('topic','发送方');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-17 17:40
 */
export interface CrSendCouponRecord{
    /**
    * 
    * @type { string }
    */
    uuid?: string;
    /**
    * 
    * @type { string }
    */
    userId?: string;
    /**
    * 
    * @type { string }
    */
    cccId?: string;
    /**
    * 
    * @type { string }
    */
    couponInfo?: string;
    /**
    * 
    * @type { Date }
    */
    sendTime?: Date;
    /**
    * 
    * @type { number }
    */
    sendStatus?: number;
    /**
    * 
    * @type { number }
    */
    retryTimes?: number;
    /**
    * 
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 
    * @type { number }
    */
    actionType?: number;
    /**
    * 
    * @type { string }
    */
    adName?: string;
}
export class CrSendCouponRecordMI{ 
    static get UUID(): FieldInfo{  
        return new FieldInfo('uuid','');
    }
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','');
    }
    static get CCC_ID(): FieldInfo{  
        return new FieldInfo('cccId','');
    }
    static get COUPON_INFO(): FieldInfo{  
        return new FieldInfo('couponInfo','');
    }
    static get SEND_TIME(): FieldInfo{  
        return new FieldInfo('sendTime','');
    }
    static get SEND_STATUS(): FieldInfo{  
        return new FieldInfo('sendStatus','');
    }
    static get RETRY_TIMES(): FieldInfo{  
        return new FieldInfo('retryTimes','');
    }
    static get DEL_FLAG(): FieldInfo{  
        return new FieldInfo('delFlag','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get AD_INFO_ID(): FieldInfo{  
        return new FieldInfo('adInfoId','');
    }
    static get ACTION_TYPE(): FieldInfo{  
        return new FieldInfo('actionType','');
    }
    static get AD_NAME(): FieldInfo{  
        return new FieldInfo('adName','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-17 17:40
 */
export interface CrSendCouponRecordLog{
    /**
    * 
    * @type { string }
    */
    uuid?: string;
    /**
    * 
    * @type { string }
    */
    cscrId?: string;
    /**
    * 
    * @type { boolean }
    */
    sendResult?: boolean;
    /**
    * 
    * @type { Date }
    */
    sendTime?: Date;
    /**
    * 
    * @type { string }
    */
    sendErrorDesc?: string;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
}
export class CrSendCouponRecordLogMI{ 
    static get UUID(): FieldInfo{  
        return new FieldInfo('uuid','');
    }
    static get CSCR_ID(): FieldInfo{  
        return new FieldInfo('cscrId','');
    }
    static get SEND_RESULT(): FieldInfo{  
        return new FieldInfo('sendResult','');
    }
    static get SEND_TIME(): FieldInfo{  
        return new FieldInfo('sendTime','');
    }
    static get SEND_ERROR_DESC(): FieldInfo{  
        return new FieldInfo('sendErrorDesc','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-17 17:40
 */
export interface CrSendWxMsgRecord{
    /**
    * 
    * @type { string }
    */
    uuid?: string;
    /**
    * 
    * @type { string }
    */
    userId?: string;
    /**
    * 
    * @type { string }
    */
    cccId?: string;
    /**
    * 
    * @type { string }
    */
    couponInfo?: string;
    /**
    * 
    * @type { Date }
    */
    sendTime?: Date;
    /**
    * 
    * @type { number }
    */
    sendStatus?: number;
    /**
    * 
    * @type { number }
    */
    retryTimes?: number;
    /**
    * 
    * @type { boolean }
    */
    delFlag?: boolean;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    adInfoId?: string;
    /**
    * 
    * @type { number }
    */
    actionType?: number;
    /**
    * 广告名称
    * @type { string }
    */
    adName?: string;
}
export class CrSendWxMsgRecordMI{ 
    static get UUID(): FieldInfo{  
        return new FieldInfo('uuid','');
    }
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','');
    }
    static get CCC_ID(): FieldInfo{  
        return new FieldInfo('cccId','');
    }
    static get COUPON_INFO(): FieldInfo{  
        return new FieldInfo('couponInfo','');
    }
    static get SEND_TIME(): FieldInfo{  
        return new FieldInfo('sendTime','');
    }
    static get SEND_STATUS(): FieldInfo{  
        return new FieldInfo('sendStatus','');
    }
    static get RETRY_TIMES(): FieldInfo{  
        return new FieldInfo('retryTimes','');
    }
    static get DEL_FLAG(): FieldInfo{  
        return new FieldInfo('delFlag','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
    static get AD_INFO_ID(): FieldInfo{  
        return new FieldInfo('adInfoId','');
    }
    static get ACTION_TYPE(): FieldInfo{  
        return new FieldInfo('actionType','');
    }
    static get AD_NAME(): FieldInfo{  
        return new FieldInfo('adName','广告名称');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-17 17:40
 */
export interface CrSendWxMsgRecordLog{
    /**
    * 
    * @type { string }
    */
    uuid?: string;
    /**
    * 
    * @type { string }
    */
    cswmrId?: string;
    /**
    * 
    * @type { boolean }
    */
    sendResult?: boolean;
    /**
    * 
    * @type { Date }
    */
    sendTime?: Date;
    /**
    * 
    * @type { string }
    */
    sendErrorDesc?: string;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
}
export class CrSendWxMsgRecordLogMI{ 
    static get UUID(): FieldInfo{  
        return new FieldInfo('uuid','');
    }
    static get CSWMR_ID(): FieldInfo{  
        return new FieldInfo('cswmrId','');
    }
    static get SEND_RESULT(): FieldInfo{  
        return new FieldInfo('sendResult','');
    }
    static get SEND_TIME(): FieldInfo{  
        return new FieldInfo('sendTime','');
    }
    static get SEND_ERROR_DESC(): FieldInfo{  
        return new FieldInfo('sendErrorDesc','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
}


